sockinet Struct Reference

## Data Fields

u_char | si_len
u_char | si_family
u_short | si_port

## Detailed Description

Definition at line 105 of file getaddrinfo.c.

## Field Documentation

u_char sockinet::si_family

Definition at line 107 of file getaddrinfo.c.

u_char sockinet::si_len

Definition at line 106 of file getaddrinfo.c.

u_short sockinet::si_port

Definition at line 108 of file getaddrinfo.c.

The documentation for this struct was generated from the following files:

- ext/socket/getaddrinfo.c
- ext/socket/getnameinfo.c